=== debian/changelog ===
jacal (1b9-5ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/patches/guile-1.8-transition.patch:
      + Guile 1.8 transition. (Closes: #731785)

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 08 Jan 2015 01:26:13 +0100

jacal (1b9-5) unstable; urgency=medium

  * bump standards version to 3.9.6
  * missing shebang in empty prerm script (closes: #769476)
  * silence lintian tags maintainer-script-lacks-debhelper-token
    debian-rules-missing-recommended-target
    maintainer-script-without-set-e

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Nov 2014 23:28:27 +0000

jacal (1b9-4) unstable; urgency=low

  * empty prerm script for install-info transition (closes: #708491)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Dec 2013 10:58:36 +0000

jacal (1b9-3) unstable; urgency=low

  * adopt package (closes: #721056)
  * regenerate using modern dh (closes: #708491)
  * debian/watch: from qa.debian.org
  * dpkg source format 3.0 (quilt)
    - migrate debian mods to quilt patches
    - tweak debian/rules to save/restore upstream jacal.info
  * patch jacal.texi for modern version of texinfo (closes: #707527)
  * debian/copyright: update per lintian and upstream copyright
  * debian/control:
    - add homepage field
    - add packaging repo fields
    - bump standards version to 3.9.5
  * dh issues
    - bump to dh9
    - dh_installchangelogs finds ChangeLog without assistance
    - dh_clean -k is deprecated; use dh_prep instead
    - move symbolic link creation from debian/rules to debian/links

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Dec 2013 12:55:22 +0000

jacal (1b9-2.1ubuntu1) raring; urgency=low

  * Guile 1.8 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 13 Mar 2013 01:56:10 +0000

jacal (1b9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in /bin/sh script. Simply setting "#!/bin/bash" in the
    offending file was not enough as the shebang was added programmatically
    in debian/rules. (Closes: #464995)
  * Move documentation from deprecated "Apps/Math" section to
    "Science/Mathematics".
  * Ensure clean target removes version.txt and all .info files generated
    during build.
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 11 Jul 2008 19:57:16 +0100

jacal (1b9-2) unstable; urgency=low

  * debian/rules (MAKEVARS): Set man1dir.  (Closes: #467314)
  
  * debian/control (Build-Depends): Move texi2html and texinfo to...
    (Build-Depends-Indep): ...here.
    
  * jacal.1: Put title *before* section in TH directive.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 24 Feb 2008 18:25:38 -0500

jacal (1b9-1) unstable; urgency=low

  * New upstream release.
  * jacal.1: Repeat change from 1b7-1.
  * jacal.sh: Repeat second change from 1b7-2.
  
  * jacal.sh: Specify #!/bin/bash.  (Closes: #464995)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 10 Feb 2008 19:12:17 -0500

jacal (1b8-3) unstable; urgency=low

  * debian/jacal.doc-base: Really get rid of all the extraneous whitespace.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 14:51:24 -0500

jacal (1b8-2) unstable; urgency=low

  * debian/rules (clean): Don't ignore all errors on Make clean invocation.
    Fixes lintian warning debian-rules-ignores-make-clean-error.
    
  * debian/control (Standards-Version): Update to 3.7.3.  No changes necessary.
  
  * debian/jacal.doc-base: Remove extraneouse whitespace.  Fixes lintian
    warning doc-base-file-separator-extra-whitespace.
  
  * debian/dirs: Delete usr/sbin.  Fixes lintian warning
    package-contains-empty-directory.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 15:52:21 -0500

jacal (1b8-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Depends): Require version 3a5-1 or slib; that's the first
    Debian slib to put the init files in the usual place.  Thus the fix to
    jacal.sh closing bug 401030 is no longer needed.
    
  * jacal.1: Repeat change from 1b7-1.
  
  * jacal.sh: Repeat second change from 1b7-2.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 30 Dec 2007 21:08:20 -0800

jacal (1b7-2) unstable; urgency=high

  * jacal.sh: Find .init files in proper subdirectory of slib library location.
   (Closes: #401030)
    
  * jacal.sh: Look for "guile-1.6" and not guile; likewise make the usage
    statement say to request "guile-1.6" if that's what you want.
  * debian/control (Depends): Require guile-1.6 and not just any guile.
    [These changes are further required for jacal to work right with guile.]
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  9 Dec 2006 16:18:06 -0800

jacal (1b7-1) unstable; urgency=low

  * Initial release. (Closes: #395935)
    
  * jacal.texi: Alter copyright notice to specify that there are no back
    cover or front cover texts, with permission of upstream copyright
    owner (Aubrey Jaffer) in accord with his new distribution zip archive.
  
  * jacal.1 (TH): Include section number.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sat, 28 Oct 2006 13:18:38 -0700
