=== debian/control ===
Source: jacal
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: texi2html, texinfo
Standards-Version: 3.9.6
Homepage: http://people.csail.mit.edu/jaffer/JACAL
Vcs-Git: git://anonscm.debian.org/collab-maint/jacal.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jacal.git

Package: jacal
Architecture: all
Depends: ${misc:Depends}, scm | guile-1.8, slib (>= 3a5-1)
Description: Interactive symbolic math system
 JACAL is an interactive symbolic math system which can manipulate and
 simplify equations, scalars, vectors, and matrices of single and
 multiple valued algebraic expressions containing numbers, variables,
 radicals, and algebraic differential, and holonomic functions.
