=== debian/changelog ===
jacal (1c7-3) unstable; urgency=medium

  * bump policy
  * remove alternative dependency on guile; only "jacal scm" seems to
    work at this point (closes: #1000947)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Dec 2021 11:58:38 +0000

jacal (1c7-2) unstable; urgency=medium

  * Fix script paths, and allow passing them (closes: #981288)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 Jan 2021 20:11:38 +0000

jacal (1c7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Barak A. Pearlmutter ]
  * New upstream release (closes: #731785, #815250)
  * Update packaging scripts
  * Patch to ./configure to warn instead of fail on unknown options
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Drop unnecessary dh arguments: --parallel
  * Remove empty maintainer scripts: jacal (prerm)
  * Update watch file format version to 4.
  * Bump policy
  * Remove no-longer-needed quilt patches
  * Debhelper 13
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Jan 2021 11:51:47 +0000

jacal (1b9-7) unstable; urgency=medium

  * fix typo in debian/rules, kudos Reiner Herrmann (closes: #815251)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 20 Feb 2016 17:11:49 +0000

jacal (1b9-6) unstable; urgency=medium

  * reproducible build patch (closes: #807587)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Dec 2015 17:10:02 +0000
