=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export TEXI2HTML=texi2html

MAKEVARS=DESTDIR=$(CURDIR)/debian/jacal \
	prefix=/usr/ \
	libdir=/usr/lib/ \
	infodir=/usr/share/info/ \
	htmldir=/usr/share/doc/jacal/ \
	mandir=/usr/share/man/ \
	TEXI2HTML=${TEXI2HTML}

%:
	dh $@

execute_before_dh_auto_configure:
	chmod +x ./configure

override_dh_auto_build:
	makeinfo --info jacal.texi
	makeinfo --no-split --html jacal.texi

# These are from upstream's install target, turned into correctness.

debian/jacal/usr/bin/jacal:
	-mkdir -p $$(dirname $@)
	echo '#! /bin/bash'			 > $@
	echo JACALDIR=/usr/lib/jacal/		>> $@
	echo VERSION=$(DEB_VERSION_UPSTREAM)	>> $@
	cat jacal.sh				>> $@
	chmod +x $@

debian/jacal/usr/lib/jacal/go.scm:
	-mkdir -p $$(dirname $@)
	echo ";;(use-modules (ice-9 slib))"		 > $@
	echo "(slib:load \"/usr/lib/jacal/math\")"	>> $@
	echo "(math)"					>> $@

override_dh_auto_install: debian/jacal/usr/bin/jacal debian/jacal/usr/lib/jacal/go.scm
	# Add here commands to install the package into debian/jacal.
	-mkdir -p debian/jacal/usr/share/info
	$(MAKE) install $(MAKEVARS)
	-rm --verbose debian/jacal/usr/share/info/dir*
	-rm --verbose debian/jacal/usr/lib/jacal/COPYING

override_dh_auto_test:
	@echo "Testing requires running Scheme at build time."

override_dh_auto_clean:
	@echo "configure might not be executable..."
